MPD 0.20.6

- Main Page
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

Public Member Functions | Data Fields
UpdateQueueItem Struct Reference

`#include <Queue.hxx>`

Collaboration diagram for UpdateQueueItem:
[legend]

## Public Member Functions
| UpdateQueueItem ()
| UpdateQueueItem (SimpleDatabase &_db, Storage &_storage, const char *_path, bool _discard, unsigned _id)
bool | IsDefined () const

## Data Fields
SimpleDatabase * | db
Storage * | storage
std::string | path_utf8
unsigned | id
bool | discard

## Detailed Description

Definition at line 32 of file Queue.hxx.

## Constructor & Destructor Documentation

UpdateQueueItem::UpdateQueueItem | ( |  | ) |
| inline

Definition at line 40 of file Queue.hxx.

UpdateQueueItem::UpdateQueueItem | ( | SimpleDatabase & | _db,
|  | Storage & | _storage,
|  | const char * | _path,
|  | bool | _discard,
|  | unsigned | _id
| ) |  |
| inline

Definition at line 42 of file Queue.hxx.

## Member Function Documentation

bool UpdateQueueItem::IsDefined | ( |  | ) | const
| inline

Definition at line 49 of file Queue.hxx.

## Field Documentation

SimpleDatabase* UpdateQueueItem::db

Definition at line 33 of file Queue.hxx.

bool UpdateQueueItem::discard

Definition at line 38 of file Queue.hxx.

unsigned UpdateQueueItem::id

Definition at line 37 of file Queue.hxx.

std::string UpdateQueueItem::path_utf8

Definition at line 36 of file Queue.hxx.

Storage* UpdateQueueItem::storage

Definition at line 34 of file Queue.hxx.

The documentation for this struct was generated from the following file:

- db/update/Queue.hxx